/*
 * Object3D.h
 *
 *  Created on: Aug 10, 2012
 *      Author: scottyoung
 */

#ifndef OBJECT3D_H_
#define OBJECT3D_H_

#import "vectors.h"
#import "hit.h"
#import "ray.h"

class Object3D {
public:
	Object3D();
	virtual ~Object3D();
	virtual bool intersect(const Ray &r, Hit &h, float tMin)=0;
	virtual void print()=0;

protected:
	Material *material;
};

#endif /* OBJECT3D_H_ */
