/*
 * Triangle.h
 *
 *  Created on: Aug 14, 2012
 *      Author: scottyoung
 */

#ifndef TRIANGLE_H_
#define TRIANGLE_H_

#include "Object3D.h"

class Triangle: public Object3D {
public:
	Triangle(Vec3f a, Vec3f b, Vec3f c, Vec3f color);
	virtual ~Triangle();
	virtual bool intersect(const Ray &r, Hit &h, float tMin);
	void print();
private:
	Vec3f verts[3];
	Vec3f normal;
};

#endif /* TRIANGLE_H_ */
