/*
 * PerspectiveCamera.h
 *
 *  Created on: Aug 14, 2012
 *      Author: scottyoung
 */

#ifndef PERSPECTIVECAMERA_H_
#define PERSPECTIVECAMERA_H_

#include "Camera.h"

class PerspectiveCamera: public Camera {
public:
	PerspectiveCamera(Vec3f c, Vec3f d, Vec3f u, float a);
	virtual ~PerspectiveCamera();
	Ray generateRay(Vec2f point);
	void print();
private:
	Vec3f center;
	Vec3f direction;
	Vec3f up;
	float angle;
};

#endif /* PERSPECTIVECAMERA_H_ */
