/*
 * Sphere.h
 *
 *  Created on: Aug 10, 2012
 *      Author: scottyoung
 */

#ifndef SPHERE_H_
#define SPHERE_H_

#include "Object3D.h"

class Sphere: public Object3D {
public:
	Sphere(Vec3f c, float r, Material *m);
	virtual ~Sphere();
	virtual bool intersect(const Ray &r, Hit &h, float tMin);
	virtual void setBounds();
	void print();

private:
	Vec3f center;
	float radius;

};

#endif /* SPHERE_H_ */
