/*
 * Group.h
 *
 *  Created on: Aug 10, 2012
 *      Author: scottyoung
 */

#ifndef GROUP_H_
#define GROUP_H_

#include "Object3D.h"

class Group: public Object3D {
public:
	Group(int numObjects);
	virtual ~Group();
	virtual bool intersect(const Ray &r, Hit &h, float tMin);
	void addObject(Object3D *obj);
	void print();

private:
	Object3D **members;
	int n, maxN;
};

#endif /* GROUP_H_ */
