/*
 * OrthographicCamera.h
 *
 *  Created on: Aug 10, 2012
 *      Author: scottyoung
 */

#ifndef ORTHOGRAPHICCAMERA_H_
#define ORTHOGRAPHICCAMERA_H_

#include "Camera.h"

class OrthographicCamera: public Camera {
public:
	OrthographicCamera(Vec3f c, Vec3f d, Vec3f u, float s);
	virtual ~OrthographicCamera();
	Ray generateRay(Vec2f point);
	void print();

private:
	Vec3f center;
	Vec3f direction;
	Vec3f up;
	float size;
};

#endif /* ORTHOGRAPHICCAMERA_H_ */
