/*
 * Camera.h
 *
 *  Created on: Aug 10, 2012
 *      Author: scottyoung
 */

#ifndef CAMERA_H_
#define CAMERA_H_

//#include <OpenGL/gl.h>
//#include <OpenGL/glu.h>
//#include <OpenGL/glext.h>
#include <GLUT/glut.h>

#import "ray.h"
#import "vector.h"
#include "matrix.h"

class Camera {
public:
	Camera();
	virtual ~Camera();
	virtual Ray generateRay(Vec2f point)=0;
	virtual void print()=0;

	//Open GL Interactive Camera Functions
	virtual void glInit(int w, int h) = 0;
	virtual void glPlaceCamera(void) = 0;
	virtual void dollyCamera(float dist) = 0;
	virtual void truckCamera(float dx, float dy) = 0;
	virtual void rotateCamera(float rx, float ry) = 0;
};

#endif /* CAMERA_H_ */
