/*
 * OrthographicCamera.h
 *
 *  Created on: Aug 10, 2012
 *      Author: scottyoung
 */

#ifndef ORTHOGRAPHICCAMERA_H_
#define ORTHOGRAPHICCAMERA_H_

#include "Camera.h"

class OrthographicCamera: public Camera {
public:
	OrthographicCamera(Vec3f c, Vec3f d, Vec3f u, float s);
	virtual ~OrthographicCamera();
	Ray generateRay(Vec2f point);
	void print();
	void glInit(int w, int h);
	void glPlaceCamera(void);
	void dollyCamera(float dist);
	void truckCamera(float dx, float dy);
	void rotateCamera(float rx, float ry);

private:
	Vec3f center;
	Vec3f direction;
	Vec3f up;
	float size;
};

#endif /* ORTHOGRAPHICCAMERA_H_ */
