/*
 * Transform.h
 *
 *  Created on: Aug 14, 2012
 *      Author: scottyoung
 */

#ifndef TRANSFORM_H_
#define TRANSFORM_H_

#include "Object3D.h"
#include "matrix.h"

class Transform: public Object3D {
public:
	Transform(Matrix m, Object3D *o);
	virtual ~Transform();
	virtual bool intersect(const Ray &r, Hit &h, float tMin);
	virtual void setBounds();
	void print();
	void paint();
private:
	Matrix mat;
	Object3D *obj;
};

#endif /* TRANSFORM_H_ */
